@mixin make-positions($rows: 12, $breakpoints: $grid-breakpoints) {

  @each $breakpoint in map-keys($breakpoints) {
    $infix: breakpoint-infix($breakpoint, $breakpoints);



    @include media-breakpoint-up($breakpoint, $breakpoints) {
      .pos#{$infix}-absolute {
        position: absolute !important;
      }
      .pos#{$infix}-relative {
        position: relative !important;
      }
      .pos#{$infix}-initial {
        position: initial !important;
      }
      .pos#{$infix}-fixed {
        position: fixed !important;
      }
      

      @for $i from 0 through $rows {
        .direct#{$infix}-#{$i} {
          left: percentage( $i / $rows );
        }
        .opposite#{$infix}-#{$i} {
          right: percentage( $i / $rows );
        }
        .top#{$infix}-#{$i} {
          top: percentage( $i / $rows );
        }
        .bottom#{$infix}-#{$i} {
          bottom: percentage( $i / $rows );
        }
      }
      .left#{$infix}-auto {
        left:auto;
      }
      .top#{$infix}-auto {
        top:auto;
      }
      .right#{$infix}-auto {
        right:auto;
      }
      .bottom#{$infix}-auto {
        bottom:auto;
      }
      .vcenter#{$infix}{
        top: 50%;
        transform: translateY(-50%);

        &.center#{$infix}{
          transform: translate(-50%,-50%);
          .rtl &{
            transform: translate(50%,-50%);
          }
        }
      }
    }
  }
}

.float-direct{
  float: left;
}

.float-opposite{
  float: right;
}

.z-0{
  z-index: 0;
}

.z-5{
  z-index: 5;
}

.z-10{
  z-index: 10;
}

.z-100{
  z-index:100;
}

.z-200{
  z-index:100;
}

.z-500{
  z-index:500;
}

.z-1000{
  z-index:1000;
}

.z-2000{
  z-index: 2000;
}

.overflow-hidden{
  overflow: hidden;
}

@include make-positions();